1. Text Generation
XPiki
  • Media Generation
    • Image Generation
      POST
    • Video Generation
      POST
    • Polling Task
      GET
    • SSE Events
      GET
    • Get Output
      GET
    • Cancel Task
      POST
  • Text Generation
    • Chat Completions
      POST
  • List Models
    GET
  1. Text Generation

Chat Completions

Developing
POST
https://api.xpiki.com/v1/chat/completions

Request

Header Params

Body Params application/jsonRequired

Examples

Responses

🟢200Success
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.xpiki.com/v1/chat/completions' \
--header 'Authorization: Bearer <Your API Key>' \
--header 'Content-Type: application/json' \
--data '{
  "model": "deepseek-default",
  "messages": [
    {
      "role": "system",
      "content": "You are a precise assistant."
    },
    {
      "role": "user",
      "content": "Explain SSE in one paragraph."
    }
  ],
  "stream": false,
  "temperature": 0.7,
  "max_tokens": 2048
}'
Response Response Example
{}
Modified at 2026-06-22 10:05:49
Previous
Cancel Task
Next
List Models
Built with